Subject: [Tsvwg] comments wanted: draft-eggert-tsvwg-udp-guidelines

From: Lars Eggert <[email-masked]>
Date: Wed, 28 Feb 2007 12:39:20 +0200

Hi,

Magnus and have recently had a number of discussions with application  
and application-layer-procotol designers on the use of UDP as a  
transport protocol. I've tried to write up a pretty short document  
that intends to give some guidelines to that community on the use of  
UDP as a transport protocol.

I'd be very interested in feedback from the transport community on  
whether this document is (1) useful and (2) has the correct guidelines.

Begin forwarded message:
> 	Title		: UDP Usage Guidelines for Application Designers
> 	Author(s)	: L. Eggert
> 	Filename	: draft-eggert-tsvwg-udp-guidelines-00.txt
> 	Pages		: 10
> 	Date		: 2007-2-27
> 	
>    The User Datagram Protocol (UDP) provides a minimal, message- 
> passing
>    transport that has no inherent congestion control mechanisms.
>    Because congestion control is critical to the stable operation  
> of the
>    Internet, applications and upper-layer protocols that choose to use
>    UDP as a transport must employ mechanisms to prevent congestion
>    collapse and establish some degree of fairness with concurrent
>    traffic.  This document provides guidelines on the use of UDP  
> for the
>    designers of such applications and upper-layer protocols.
>
> http://www.ietf.org/internet-drafts/draft-eggert-tsvwg-udp- 
> guidelines-00.txt

Lars